RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1968312 - [Tracker][virtio-win] Add drivers for Windows Server 2022
Summary: [Tracker][virtio-win] Add drivers for Windows Server 2022
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: virtio-win
Version: 8.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Meirav Dean
QA Contact: Qianqian Zhu
URL:
Whiteboard:
Depends On: 1967854 1968234 1969372 1972461 1973022 1973028 1978242 1979290 1995479 1998845
Blocks: 2008782 2021217 2031603
TreeView+ depends on / blocked
 
Reported: 2021-06-07 06:13 UTC by lijin
Modified: 2022-02-09 06:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-30 12:25:01 UTC
Type: Epic
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)

Description lijin 2021-06-07 06:13:23 UTC
Our current Windows 10 virtio-win drivers support Windows Server 2022.

Using this bug to track all win2022 virtio-win testing/support status.

Comment 2 Qianqian Zhu 2021-10-29 07:38:48 UTC
Hi Arun,

I suppose we plan to have the virtio-win package with Windows 2022 support ready on 01-03-2022.

Hi Meirav, please correct me if I was wrong. Thanks.

Regards,
Qianqian

Comment 3 Arun 2021-11-05 14:26:24 UTC
Hi @qizhu: 

Appreciate your quick response above. Based on the date provided, would the virtio-win package be certified by Microsoft by 01-03-2022? 

And would this webpage have this RH virtio-win package listed for Windows 2022 (by 01-03-2022): https://www.windowsservercatalog.com/results.aspx?&text=Red+Hat&bCatID=1282&cpID=0&avc=10&ava=0&avt=0&avq=0&OR=5&PGS=25&PG=1 

This info will help us plan accordingly. Thanks! 

--Arun.

Comment 4 Qianqian Zhu 2021-11-09 03:54:08 UTC
(In reply to Arim from comment #3)
> Hi @qizhu: 
> 
> Appreciate your quick response above. Based on the date provided, would the
> virtio-win package be certified by Microsoft by 01-03-2022? 

We expect yes.

> 
> And would this webpage have this RH virtio-win package listed for Windows
> 2022 (by 01-03-2022):
> https://www.windowsservercatalog.com/results.
> aspx?&text=Red+Hat&bCatID=1282&cpID=0&avc=10&ava=0&avt=0&avq=0&OR=5&PGS=25&PG
> =1 

Yes it should be there if we get the certification on plan.

> 
> This info will help us plan accordingly. Thanks! 
> 
> --Arun.

Comment 5 Qianqian Zhu 2021-12-13 04:15:43 UTC
All driver test passed on win2022 with prewhql 214, and submission completed: https://source.redhat.com/groups/public/kvmqe/virtiowin/virtio_win_wiki/virtio_win_rhel840_z_whql_submission_table_214

Comment 6 Arun 2022-01-07 16:17:10 UTC
Hi @qizhu :

This Windows link here indicates the virtio drivers for Windows Server 2022 are in place: 
https://www.windowsservercatalog.com/results.aspx?&text=Red+Hat&bCatID=1282&cpID=0&avc=10&ava=0&avt=0&avq=0&OR=5&PGS=25&PG=1 

But, here's what I received from Engineering (at IBM): 
"Yes we can see the entry for window 2022 on the above site, however the latest virtio-win  package from which we download the RH VIRTIO drivers still don’t contain the drivers for windows 2022. virtio-win-1.9.19.iso  is the package that does not have the RH VIRTIO drivers yet!!"

Could you shed more light on what's still missing? And if so, when will it be made available? 

Thanks,
Arun.

Comment 7 Qianqian Zhu 2022-01-10 05:50:33 UTC
(In reply to Arun from comment #6)
> Hi @qizhu :
> 
> This Windows link here indicates the virtio drivers for Windows Server 2022
> are in place: 
> https://www.windowsservercatalog.com/results.
> aspx?&text=Red+Hat&bCatID=1282&cpID=0&avc=10&ava=0&avt=0&avq=0&OR=5&PGS=25&PG
> =1 
> 
> But, here's what I received from Engineering (at IBM): 
> "Yes we can see the entry for window 2022 on the above site, however the
> latest virtio-win  package from which we download the RH VIRTIO drivers
> still don’t contain the drivers for windows 2022. virtio-win-1.9.19.iso  is
> the package that does not have the RH VIRTIO drivers yet!!"
> 
> Could you shed more light on what's still missing? And if so, when will it
> be made available? 
> 
> Thanks,
> Arun.

Hi Arun,

We are working in progress for virtio-win-1.9.22 which includes the completed Windows Server 2022 support, the drivers will be gradually comes out to Windows Update, along with our signing process.
virtio-win-1.9.22 will be released on RHEL-AV 8.4.z batch 6 and RHEL-AV 8.5.z batch 2.
FYI:
8.5.z: https://bugzilla.redhat.com/show_bug.cgi?id=2033400
8.4.z: https://bugzilla.redhat.com/show_bug.cgi?id=2032686

Regards,
Qianqian

Comment 8 Arun 2022-01-12 22:56:23 UTC
Hi @qizhu,

Regarding your update,
>> virtio-win-1.9.22 will be released on RHEL-AV 8.4.z batch 6 and RHEL-AV 8.5.z batch 2.

When is virtio-win-1.9.22 expected to be released? And what's RHEL-AV? 
Could you please update this bugzilla when virtio-win-1.9.22 is made available? 

Thanks,
Arun.

Comment 9 Qianqian Zhu 2022-01-13 03:30:38 UTC
(In reply to Arun from comment #8)
> Hi @qizhu,
> 
> Regarding your update,
> >> virtio-win-1.9.22 will be released on RHEL-AV 8.4.z batch 6 and RHEL-AV 8.5.z batch 2.
> 
> When is virtio-win-1.9.22 expected to be released? And what's RHEL-AV? 
> Could you please update this bugzilla when virtio-win-1.9.22 is made
> available? 
> 
> Thanks,
> Arun.

Sorry for the confusing, RHEL-AV means Red Hat Enterprise Linux Advanced Virtualization. We will release the new rpm on RHEL-AV 8.4.z and RHEL-AV 8.5.z.
It will be released on 2022-01-25 on RHEL-AV 8.4.z first, I will close this bz then.

Regards,
Qianqian

Comment 10 Arun 2022-01-13 05:23:58 UTC
Thanks Qianqian!

Comment 11 Qianqian Zhu 2022-01-18 09:52:35 UTC
virtio-win-1.9.24-1.el8_4 and virtio-win-1.9.24-2.el8_5 are moved to REL_PREP, will be release on 8.4.z batch update 6(GA on 2022-01-25) and 8.5.z batch update 2(GA on 2022-02-01). Moving to Verified accordingly.

Comment 12 Arun 2022-01-27 17:15:08 UTC
Hi @qizhu: 
From our development team: 

"still only virtio-win-1.9.19-1  version is available that does not have the VIRTIO drivers. Only when the  virtio-win-1.9.22 package is available for download we can confirm the VIRTIO drivers."

Could you comment on the above, and the availability of the right package please?

Comment 14 Qianqian Zhu 2022-01-28 02:34:49 UTC
Hi Arun and Robert,

virtio-win-1.9.24-1.el8_4 has been released on RHEL-AV 8.4.z latest batch update, which GA on 2022-1-25, and I can see our package status is SHIPPED LIVE, would you please confirm if your RHEL-AV 8.4.z repo is the latest one(2022-1-25)? Please let me know if you are still not able to find it with latest repo. Thank you.

Regards,
Qianqian

Comment 15 Robert Perry 2022-01-28 18:53:14 UTC
Thank you Qianqian for the additional clarity..  we are looking into it and will let you know.

Comment 16 Robert Perry 2022-01-31 19:41:30 UTC
@qianqian (In reply to Qianqian Zhu from comment #14)
> Hi Arun and Robert,
> 
> virtio-win-1.9.24-1.el8_4 has been released on RHEL-AV 8.4.z latest batch
> update, which GA on 2022-1-25, and I can see our package status is SHIPPED
> LIVE, would you please confirm if your RHEL-AV 8.4.z repo is the latest
> one(2022-1-25)? Please let me know if you are still not able to find it with
> latest repo. Thank you.
> 
> Regards,
> Qianqian

I have this repo available in our Satellite server.  Is it not the correct one?
Repo ID:   advanced-virt-for-rhel-8-x86_64-rpms
Repo Name: Advanced Virtualization for RHEL 8 x86_64 (RPMs)

Comment 17 Qianqian Zhu 2022-02-08 06:32:52 UTC
(In reply to Robert Perry from comment #16)
> @qianqian (In reply to Qianqian Zhu from comment #14)
> > Hi Arun and Robert,
> > 
> > virtio-win-1.9.24-1.el8_4 has been released on RHEL-AV 8.4.z latest batch
> > update, which GA on 2022-1-25, and I can see our package status is SHIPPED
> > LIVE, would you please confirm if your RHEL-AV 8.4.z repo is the latest
> > one(2022-1-25)? Please let me know if you are still not able to find it with
> > latest repo. Thank you.
> > 
> > Regards,
> > Qianqian
> 
> I have this repo available in our Satellite server.  Is it not the correct
> one?
> Repo ID:   advanced-virt-for-rhel-8-x86_64-rpms
> Repo Name: Advanced Virtualization for RHEL 8 x86_64 (RPMs)

Hi Robert,

Would you help to check if you are able to access the link here: https://access.redhat.com/errata/RHBA-2022:0248?

Regards,
Qianqian

Comment 18 Robert Perry 2022-02-08 17:54:40 UTC
(In reply to Qianqian Zhu from comment #17)
> (In reply to Robert Perry from comment #16)
> > @qianqian (In reply to Qianqian Zhu from comment #14)
> > > Hi Arun and Robert,
> > > 
> > > virtio-win-1.9.24-1.el8_4 has been released on RHEL-AV 8.4.z latest batch
> > > update, which GA on 2022-1-25, and I can see our package status is SHIPPED
> > > LIVE, would you please confirm if your RHEL-AV 8.4.z repo is the latest
> > > one(2022-1-25)? Please let me know if you are still not able to find it with
> > > latest repo. Thank you.
> > > 
> > > Regards,
> > > Qianqian
> > 
> > I have this repo available in our Satellite server.  Is it not the correct
> > one?
> > Repo ID:   advanced-virt-for-rhel-8-x86_64-rpms
> > Repo Name: Advanced Virtualization for RHEL 8 x86_64 (RPMs)
> 
> Hi Robert,
> 
> Would you help to check if you are able to access the link here:
> https://access.redhat.com/errata/RHBA-2022:0248?
> 
> Regards,
> Qianqian

Hi @qianqian,  I can access that link.  Also, we found the package in an extended update repo, so are all set for the time being.  Thank you for your help all the way through this!

-Robert


Note You need to log in before you can comment on or make changes to this bug.